Subject: Re: [Sigtran] M2PA v6: Two Out of Three Valid BSN

From: [email-masked]
Date: Mon, 30 Sep 2002 18:58:12 +0530

Hi Brian,

Checksum failiure can cause any of the fields in the Message to be corrupt,
 then why is the special consideration being given to BSN.
The two out of three BSN scheme would have been suitable, had we been taking
into the consideration the FSN/BSN values in the Link Status Messages as well.
Since that is not the case, I am not sure how we would be deriving any benefit
from this scheme.
If I am missing anything here, please elaborate.

Regards
Anshoo.

"Brian F. G. Bidulock" <[email-masked]> on 09/30/2002 02:58:43 PM

Please respond to [email-masked]

To:   Anshoo Sharma/HSS@HSS
cc:   [email-masked]

Subject:  Re: [Sigtran] M2PA v6: Two Out of Three Valid BSN

Anshoo,

A bit error which is not caught by the checksum algorithm.

--brian

[email-masked] wrote:
(Mon, 30 Sep 2002 11:36:37)
>
>
>
> Hi Tolga,
>
> Since SCTP provides a reliable and sequenced service on a single stream,
> the Sequence Numbers should not fall out of order as long as
> both Peers are functioning correctly. Hence, in case the Sequence Numbers
> do fall out of order, the Link should be brought into Out Of Service.
>
> Can you please exemplify a scenario where the sequence numbers can fall out of
> order?
>
> Regards
> Anshoo.
>
> > > Since FSN/BSN in the Link Status Messages are being ignored,
> > > FSN/BSN that need to be processed are only in the User Data
> > > Messages (actual
> > > data and zero data),
> > > These would all be on a Single Stream and hence should never fall out of
> > > sequence.
> > [TOLGA] If your argument is that those messages won't get ever out of
> > sequence, then is it ever possible that two messages on a wire (for MTP2
> > case) can get out of sequence?
> > Maybe it should be considered that MTP2 has checksum of 16 bits whereas SCTP
> > has checksum of 32 bits.
> > > Then why do we have the Two out of Three flexibility for BSN.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Mon, 30 Sep 2002 10:57:05 -0400

Anshoo,

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Monday, September 30, 2002 9:28 AM
> To: [email-masked]
> Cc: [email-masked]
[TOLGA] Why do you think this procedure exists for MTP2? Your argument is
that there won't be any missequencing in SCTP, but similarly one can argue,
there won't be any misseqiencing on a wire(for MTP2) either.
> If I am missing anything here, please elaborate.
[TOLGA] At the beginning I also thought on bit errors, but another reason,
why BSN does not have an expected value might be, that peer M2PA (or MTP2 in
case of Q.703)  fills it wrong. I tend to think, that is the real reason for
that procedure, because bit errors are handled as described in Q.703 10.2.
(With the procedure defined in Q.703 5.3.1 it is possible to detect some
errors which are not detectable with checksum but I would think, if there is
really something wrong on the link, there would be enough bit errors, which
are detectable with checksum, to make the procedure in Q.703 10.2 to work.)